Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::DirectionalSector Class Reference

Inheritance diagram for osgSim::DirectionalSector:

[legend]
List of all members.

## Public Member Functions
| DirectionalSector ()
| DirectionalSector (const DirectionalSector &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| DirectionalSector (const osg::Vec3 &direction, float horizLobeAngle, float vertLobeAngle, float lobeRollAngle, float fadeAngle=0.0f)
| META_Object (osgSim, DirectionalSector)
void | setDirection (const osg::Vec3 &direction)
const osg::Vec3 & | getDirection () const
void | setHorizLobeAngle (float angle)
float | getHorizLobeAngle () const
void | setLobeRollAngle (float angle)
float | getLobeRollAngle () const
void | setVertLobeAngle (float angle)
float | getVertLobeAngle () const
void | setFadeAngle (float angle)
float | getFadeAngle () const
virtual float | operator() (const osg::Vec3 &eyeLocal) const
void | computeMatrix ()
## Protected Member Functions
virtual | ~DirectionalSector ()
## Protected Attributes
osg::Vec3 | _direction
float | _rollAngle
osg::Matrix | _local_to_LP
float | _cosHorizAngle
float | _cosVertAngle
float | _cosHorizFadeAngle
float | _cosVertFadeAngle

## Constructor & Destructor Documentation

osgSim::DirectionalSector::DirectionalSector | ( |  | ) | `[inline]`

osgSim::DirectionalSector::DirectionalSector | ( | const DirectionalSector & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

osgSim::DirectionalSector::DirectionalSector | ( | const osg::Vec3 & | direction,
|  | float | horizLobeAngle,
|  | float | vertLobeAngle,
|  | float | lobeRollAngle,
|  | float | fadeAngle = 0.0f
| ) |

virtual osgSim::DirectionalSector::~DirectionalSector | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osgSim::DirectionalSector::computeMatrix | ( |  | ) |

const osg::Vec3& osgSim::DirectionalSector::getDirection | ( |  | ) | const

float osgSim::DirectionalSector::getFadeAngle | ( |  | ) | const

float osgSim::DirectionalSector::getHorizLobeAngle | ( |  | ) | const

float osgSim::DirectionalSector::getLobeRollAngle | ( |  | ) | const

float osgSim::DirectionalSector::getVertLobeAngle | ( |  | ) | const

osgSim::DirectionalSector::META_Object | ( | osgSim | ,
|  | DirectionalSector |
| ) |

virtual float osgSim::DirectionalSector::operator() | ( | const osg::Vec3 & | eyeLocal | ) | const`[virtual]`

| Implements osgSim::Sector.

void osgSim::DirectionalSector::setDirection | ( | const osg::Vec3 & | direction | ) |

void osgSim::DirectionalSector::setFadeAngle | ( | float | angle | ) |

void osgSim::DirectionalSector::setHorizLobeAngle | ( | float | angle | ) |

void osgSim::DirectionalSector::setLobeRollAngle | ( | float | angle | ) |

void osgSim::DirectionalSector::setVertLobeAngle | ( | float | angle | ) |

## Member Data Documentation

float osgSim::DirectionalSector::_cosHorizAngle`[protected]`

float osgSim::DirectionalSector::_cosHorizFadeAngle`[protected]`

float osgSim::DirectionalSector::_cosVertAngle`[protected]`

float osgSim::DirectionalSector::_cosVertFadeAngle`[protected]`

osg::Vec3 osgSim::DirectionalSector::_direction`[protected]`

osg::Matrix osgSim::DirectionalSector::_local_to_LP`[protected]`

float osgSim::DirectionalSector::_rollAngle`[protected]`

The documentation for this class was generated from the following file:

- Sector